[PATCH] cmdalias list removal

Use the string tree for all traversals.

diff -urN a/NQ/cmd.c head/NQ/cmd.c
--- a/NQ/cmd.c	2006-02-19 19:36:51.000000000 +1030
+++ head/NQ/cmd.c	2006-02-21 21:26:48.000000000 +1030
@@ -35,7 +35,6 @@
 #define	MAX_ALIAS_NAME	32
 
 typedef struct cmdalias_s {
-    struct cmdalias_s *next;
     char name[MAX_ALIAS_NAME];
     char *value;
     struct stree_node stree;
@@ -44,7 +43,6 @@
 #define cmdalias_entry(ptr) container_of(ptr, struct cmdalias_s, stree)
 static DECLARE_STREE_ROOT(cmdalias_tree);
 
-cmdalias_t *cmd_alias;
 qboolean cmd_wait;
 
 //=============================================================================
@@ -358,11 +356,14 @@
     char cmd[1024];
     int i, c;
     char *s;
+    struct stree_node *node;
 
     if (Cmd_Argc() == 1) {
 	Con_Printf("Current alias commands:\n");
-	for (a = cmd_alias; a; a = a->next)
+	STree_ForEach(&cmdalias_tree, node) {
+	    a = cmdalias_entry(node);
 	    Con_Printf("%s : %s\n", a->name, a->value);
+	}
 	return;
     }
 
@@ -379,8 +380,6 @@
 
     if (!a) {
 	a = Z_Malloc(sizeof(cmdalias_t));
-	a->next = cmd_alias;
-	cmd_alias = a;
 	strcpy(a->name, s);
 	a->stree.string = a->name;
 	STree_Insert(&cmdalias_tree, &a->stree);
diff -urN a/QW/common/cmd.c head/QW/common/cmd.c
--- a/QW/common/cmd.c	2006-02-19 19:36:51.000000000 +1030
+++ head/QW/common/cmd.c	2006-02-21 21:21:35.000000000 +1030
@@ -37,7 +37,6 @@
 #define	MAX_ALIAS_NAME	32
 
 typedef struct cmdalias_s {
-    struct cmdalias_s *next;
     char name[MAX_ALIAS_NAME];
     char *value;
     struct stree_node stree;
@@ -46,7 +45,6 @@
 #define cmdalias_entry(ptr) container_of(ptr, struct cmdalias_s, stree)
 static DECLARE_STREE_ROOT(cmdalias_tree);
 
-cmdalias_t *cmd_alias;
 qboolean cmd_wait;
 
 cvar_t cl_warncmd = { "cl_warncmd", "0" };
@@ -368,11 +366,14 @@
     char cmd[1024];
     int i, c;
     char *s;
+    struct stree_node *node;
 
     if (Cmd_Argc() == 1) {
 	Con_Printf("Current alias commands:\n");
-	for (a = cmd_alias; a; a = a->next)
+	STree_ForEach(&cmdalias_tree, node) {
+	    a = cmdalias_entry(node);
 	    Con_Printf("%s : %s\n", a->name, a->value);
+	}
 	return;
     }
 
@@ -389,8 +390,6 @@
 
     if (!a) {
 	a = Z_Malloc(sizeof(cmdalias_t));
-	a->next = cmd_alias;
-	cmd_alias = a;
 	strcpy(a->name, s);
 	a->stree.string = a->name;
 	STree_Insert(&cmdalias_tree, &a->stree);
